Skip to main content

Toggle expense completion for a transaction

PATCH 

/api/transactions/:id/toggle-expense-completed

This endpoint marks a transaction expenses as completed or not complete.

Prerequisites:

To use this endpoint you need to have the ACCOUNTING scope for the API Key. Please contact your relation manager to get this permission.

Eligibility: The transaction type must be enabled in the business partner expense settings targets.

Request Body:

  • markAsComplete: Boolean flag to set expense as complete or put back in not completed.

Validation Errors: Responses return status 422 with an errors array containing field, code, and message. Possible code values include:

  • transaction.type.not_supported
  • input.mark_as_complete.not_valid
  • invalid

Request

Path Parameters

    id stringrequired

    Transaction identifier

Body

required
    markAsComplete booleannull

Responses

OK - The request was processed successfully.

Schema
    id integer
    currency string
    amount string
    type string

    Possible values: [fee, payin, payout, peer, fx, card]

    executionDate string
    executed boolean
    createdAt string
    updatedAt string
    account integer
    transactionDetailId integernull
    tags string[]
    documents object
    id integer
    name string
    mimeType string
    expenseCategory object
    id integer
    name string
    accountingAccountNumber string
    externalId string
    expenseCostCenter object
    id integer
    name string
    number string
    vat string[]deprecated
    vats object[]
  • Array [
  • expenseVat stringnull
    rate string
    amount string
    grossAmount string
    externalId stringnull
  • ]
  • comment stringnull
    expenseCompletedAt stringnull
    magicLinkUrl stringnull
    contact object
    id integer
Loading...